Contents
Class HttpResponseException
java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
com.hypixel.hytale.server.core.auth.HttpResponseException
- All Implemented Interfaces:
Serializable
Thrown when an HTTP request receives an error status code.
Carries the status code and response body for diagnostic purposes.
- See Also:
-
Constructor Summary
Constructors -
Method Summary
Methods inherited from class Throwable
addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString
-
Constructor Details
-
HttpResponseException
-
-
Method Details
-
getStatusCode
public int getStatusCode() -
getResponseBody
-